using PoJun.Dapper.IRepository;
using ASHermed.SinoInterface.Entity.Test;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using ASHermed.SinoInterface.Repository.MySql;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.App.Entity;

namespace ASHermed.SinoInterface.Api.IRepository
{

    public interface IDicDeptRepository : IBaseRepositoryToASHermed_SinoInterface<Dic_Dept>
    {
        List<DeptByLanguage> SelectByLanguage(int language);
        List<DeptByLanguage> GetOnlineDepts(int type, int language);
        List<DeptByLanguage> SelectByDoctorByLanguage(int docId, int language);

        DeptByLanguage SelectByIdLanguage(int language, int deptId);

        List<DeptModel> SelectIndexDeptByLanguage(int language);

        DeptModel GetDeptById(int id, int language);
        List<int> GetDeptIdIds(int doctorId);
        Dic_Dept GetDeptById(int id);
        MaterialDept GetOnlineDeptByDoc(int docId);

        HisDeptServ GetHisServ(int deptId);
        List<Dic_Dept> SelectByDoctor(int doctorId);
        List<DeptModel> GetCignaDepts(int language, string keyWords);
        List<DeptByLanguage> GetInsurDept(int language, int type);
        List<Dic_Dept> GetAllDept();
        List<Dic_Map_His_Dept> GetHisAllDept();
        List<Dic_Map_Dept_Doctor> GetHosAllDepts(int hosId);
    }
}
